Package com.sun.jna.platform.win32

# Interface Wtsapi32.WTS_INFO_CLASS

Enclosing interface:
  Wtsapi32

public static interface Wtsapi32.WTS_INFO_CLASS
Contains values that indicate the type of session information to retrieve in a call to the `Wtsapi32.WTSQuerySessionInformation(com.sun.jna.platform.win32.WinNT.HANDLE, int, int, com.sun.jna.ptr.PointerByReference, com.sun.jna.ptr.IntByReference)` function.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`WTSApplicationName`
`static final int`
`WTSClientAddress`
`static final int`
`WTSClientBuildNumber`
`static final int`
`WTSClientDirectory`
`static final int`
`WTSClientDisplay`
`static final int`
`WTSClientHardwareId`
`static final int`
`WTSClientInfo`
`static final int`
`WTSClientName`
`static final int`
`WTSClientProductId`
`static final int`
`WTSClientProtocolType`
`static final int`
`WTSConfigInfo`
`static final int`
`WTSConnectState`
`static final int`
`WTSDomainName`
`static final int`
`WTSIdleTime`
`static final int`
`WTSIncomingBytes`
`static final int`
`WTSIncomingFrames`
`static final int`
`WTSInitialProgram`
`static final int`
`WTSIsRemoteSession`
`static final int`
`WTSLogonTime`
`static final int`
`WTSOEMId`
`static final int`
`WTSOutgoingBytes`
`static final int`
`WTSOutgoingFrames`
`static final int`
`WTSSessionAddressV4`
`static final int`
`WTSSessionId`
`static final int`
`WTSSessionInfo`
`static final int`
`WTSSessionInfoEx`
`static final int`
`WTSUserName`
`static final int`
`WTSValidationInfo`
`static final int`
`WTSWinStationName`
`static final int`
`WTSWorkingDirectory`

## Field Details

### WTSInitialProgram

static final int WTSInitialProgram

See Also:
  - Constant Field Values

### WTSApplicationName

static final int WTSApplicationName

See Also:
  - Constant Field Values

### WTSWorkingDirectory

static final int WTSWorkingDirectory

See Also:
  - Constant Field Values

### WTSOEMId

static final int WTSOEMId

See Also:
  - Constant Field Values

### WTSSessionId

static final int WTSSessionId

See Also:
  - Constant Field Values

### WTSUserName

static final int WTSUserName

See Also:
  - Constant Field Values

### WTSWinStationName

static final int WTSWinStationName

See Also:
  - Constant Field Values

### WTSDomainName

static final int WTSDomainName

See Also:
  - Constant Field Values

### WTSConnectState

static final int WTSConnectState

See Also:
  - Constant Field Values

### WTSClientBuildNumber

static final int WTSClientBuildNumber

See Also:
  - Constant Field Values

### WTSClientName

static final int WTSClientName

See Also:
  - Constant Field Values

### WTSClientDirectory

static final int WTSClientDirectory

See Also:
  - Constant Field Values

### WTSClientProductId

static final int WTSClientProductId

See Also:
  - Constant Field Values

### WTSClientHardwareId

static final int WTSClientHardwareId

See Also:
  - Constant Field Values

### WTSClientAddress

static final int WTSClientAddress

See Also:
  - Constant Field Values

### WTSClientDisplay

static final int WTSClientDisplay

See Also:
  - Constant Field Values

### WTSClientProtocolType

static final int WTSClientProtocolType

See Also:
  - Constant Field Values

### WTSIdleTime

static final int WTSIdleTime

See Also:
  - Constant Field Values

### WTSLogonTime

static final int WTSLogonTime

See Also:
  - Constant Field Values

### WTSIncomingBytes

static final int WTSIncomingBytes

See Also:
  - Constant Field Values

### WTSOutgoingBytes

static final int WTSOutgoingBytes

See Also:
  - Constant Field Values

### WTSIncomingFrames

static final int WTSIncomingFrames

See Also:
  - Constant Field Values

### WTSOutgoingFrames

static final int WTSOutgoingFrames

See Also:
  - Constant Field Values

### WTSClientInfo

static final int WTSClientInfo

See Also:
  - Constant Field Values

### WTSSessionInfo

static final int WTSSessionInfo

See Also:
  - Constant Field Values

### WTSSessionInfoEx

static final int WTSSessionInfoEx

See Also:
  - Constant Field Values

### WTSConfigInfo

static final int WTSConfigInfo

See Also:
  - Constant Field Values

### WTSValidationInfo

static final int WTSValidationInfo

See Also:
  - Constant Field Values

### WTSSessionAddressV4

static final int WTSSessionAddressV4

See Also:
  - Constant Field Values

### WTSIsRemoteSession

static final int WTSIsRemoteSession

See Also:
  - Constant Field Values